class FireDEK98_ extends SingleBulletReloadFire;

var float LastFireTime;
var float ClickTime;

event ModeDoFire()
{
	LastFireTime = Level.TimeSeconds;
	Super.ModeDoFire();
}

event ModeHoldFire()
{
}

defaultproperties
{
    AmmoClass=class'AmmoDEK98_'
    AmmoPerFire=1
    DamageType=class'DamageDEK98_'
    //DamageMin=45
    //DamageMax=100
	Damage_Human_SP=(min=90,max=105)
	Damage_Human_MP=(min=55,max=55)
	Damage_AI_SP=(min=40,max=45)
	Damage_AI_MP=(min=55,max=55)
    bPawnRapidFireAnim=true
	Load=1

    FireAnim=fire
    FireEndAnim=None
    FireLoopAnim=None
    //FireAnimRate=1.0
	FireAnimRate=1.3
	ReloadAnim=reload
	ReloadAnimRate=1.0

    FlashEmitterClass=class'gbxEffects.MuzzleFlashK98_'

	// PSV: 3/22/2004 Using cues now...
	FireSoundName="W_K98MAUSER.FIRE"
	StereoFireSoundName="W_K98MAUSER.FIRE_ST"

    FireForce="RifleFire"   // jdf

	PreFireTime=0.0
    //FireRate=1.2
	//FireRate=1.0
	FireRateSP=1.5
	FireRateMP=1.4
    AIFireRateSP=1.5	// was 0.9
	AIFireRateMP=1.2
	AIFireRateVarianceMP=0.2

	AIOpBurstMultiplierSP=0.7
	AIOpBurstMultiplierMP=0.6
    bModeExclusive=true

    AimErrorMin_Human=20
	AimErrorMax_Human_Crouched=20
	AimErrorMax_Human_Standing=35
	AimErrorMax_Human_MovingSlow=110
	AimErrorMax_Human_MovingFast=130
	//AimErrorMin_Human_Zoomed=3
	AimErrorMin_Human_Zoomed=10
	AimErrorMax_Human_Zoomed=20

	AimErrorMin_AI_MP=220
	AimErrorMax_AI_MP_Crouched=800
	AimErrorMax_AI_MP_Standing=800
	AimErrorMax_AI_MP_Moving=1400
	AimMultiplier_AI_MP_Sighted=1.0

	AimErrorMin_AI_SP=800
	AimErrorMax_AI_SP_Crouched=1500
	AimErrorMax_AI_SP_Standing=2800
	AimErrorMax_AI_SP_Moving=5400
	AimMultiplier_AI_SP_Sighted=0.5

	// GBX:naj - these settings are similar to MP and make the K98 very accurate.
	//AimErrorMin_AI_SP=400
	//AimErrorMax_AI_SP_Crouched=500
	//AimErrorMax_AI_SP_Standing=800
	//AimErrorMax_AI_SP_Moving=2400
	//AimMultiplier_AI_SP_Sighted=0.5

    ShakeOffsetMag=(X=0.0,Y=0.0,Z=0.0)
    ShakeOffsetRate=(X=1000.0,Y=1000.0,Z=1000.0)
    ShakeOffsetTime=2
    ShakeRotMag=(X=50.0,Y=50.0,Z=50.0)
    ShakeRotRate=(X=10000.0,Y=10000.0,Z=10000.0)
    ShakeRotTime=2

	bWaitForRelease=false

	// Suppression Multiplier
	SuppressionMultiplierMP=3.0

	// Burst count levels.
	Burst_High_SP=(Min=1,Max=1)
	Burst_High_MP=(Min=1,Max=4)
	Burst_Low_SP=(Min=2,Max=3)
	Burst_Low_MP=(Min=1,Max=4)
	Burst_Op_SP=(Min=4,Max=6)
	Burst_Op_MP=(Min=3,Max=5)

	// This really sucks, but constants are supported here, so I'm just setting this to the value of the constant.
	FireType=1

	ShotCountMod=0

	ReloadAnimList[0]=reload
	ReloadAnimList[1]=reload_01
	ReloadAnimList[2]=reload_02
	ReloadAnimList[3]=reload_03
	ReloadAnimList[4]=reload_04

	LastShotFireAnim=fire_last
	LastShotFireRate=0.36
}
