class FireDEP38_ extends InstantFire;



var float LastFireTime;
var float ClickTime;

var Name EmptyReload;

event ModeDoFire()
{
	LastFireTime = Level.TimeSeconds;
	Super.ModeDoFire();
}

event ModeHoldFire()
{
}

defaultproperties
{
    AmmoClass=class'AmmoDEP38_'
    AmmoPerFire=1
    DamageType=class'DamageDEP38_'
    //DamageMin=35
    //DamageMax=40
	Damage_Human_SP=(min=30,max=40)
	Damage_Human_MP=(min=35,max=35)
	Damage_AI_SP=(min=30,max=40)
	Damage_AI_MP=(min=25,max=25)
    bPawnRapidFireAnim=true
	Load=1

    FireAnim=fire
    FireEndAnim=None
    FireLoopAnim=None
    FireAnimRate=1.0
	ReloadAnim=reload
	ReloadAnimRate=1.0

    FlashEmitterClass=class'gbxEffects.MuzzleFlashColt1911_'

	// PSV: 3/22/2004 Using cues now...
	FireSoundName="W_P38D.FIRE"
	StereoFireSoundName="W_P38D.FIRE_ST"

    FireForce="PistolFire"   // jdf

	PreFireTime=0.0
    //FireRate=0.35
    FireRateSP=0.2
	FireRateMP=0.2
    AIFireRateSP=0.2
	AIFireRateMP=0.2
    bModeExclusive=true

	SuppressionMultiplierSP=0.5
	SuppressionMultiplierMP=2.0

    AimErrorMin_Human=55
	AimErrorMax_Human_Crouched=55
	AimErrorMax_Human_Standing=80
	AimErrorMax_Human_MovingSlow=90
	AimErrorMax_Human_MovingFast=100
	AimErrorMin_Human_Zoomed=35
	AimErrorMax_Human_Zoomed=80

	AimErrorMin_AI_MP=550
	AimErrorMax_AI_MP_Crouched=550
	AimErrorMax_AI_MP_Standing=800
	AimErrorMax_AI_MP_Moving=1000
	AimMultiplier_AI_MP_Sighted=0.8

	AimErrorMin_AI_SP=550
	AimErrorMax_AI_SP_Crouched=550
	AimErrorMax_AI_SP_Standing=800
	AimErrorMax_AI_SP_Moving=1000
	AimMultiplier_AI_SP_Sighted=0.8

    ShakeOffsetMag=(X=0.0,Y=0.0,Z=0.0)
    ShakeOffsetRate=(X=1000.0,Y=1000.0,Z=1000.0)
    ShakeOffsetTime=2
    ShakeRotMag=(X=50.0,Y=50.0,Z=50.0)
    ShakeRotRate=(X=10000.0,Y=10000.0,Z=10000.0)
    ShakeRotTime=2

	TweenTime = 0.01

	bWaitForRelease=true
	EmptyReload = Reload_Empty

	// This really sucks, but constants are supported here, so I'm just setting this to the value of the constant.
	FireType=1

	ShotCountMod=0
}
