//=============================================================================
// Stuart Tank coax machine gun fire mode class.
//=============================================================================
class FireStuartCoaxGun extends InstantFire
	config(User);


//=========================================================
//	Default Properties
//=========================================================
defaultproperties
{
    AmmoClass=class'AmmoDEMG42_'
    AmmoPerFire=1
    DamageType=class'DamageDEMG42_'
	//DamageMin=90
	//DamageMax=120
	Damage_Human_SP=(min=90,max=120)
	Damage_Human_MP=(min=90,max=120)
	Damage_AI_SP=(min=90,max=120)
	Damage_AI_MP=(min=90,max=120)
    bPawnRapidFireAnim=true
	Load=1

    //FireAnim=fire
	FireAnim=None
    FireEndAnim=None
    FireLoopAnim=None
	ReloadAnim=None

	FlashEmitterClass=class'gbxEffects.MuzzleFlashStuartTankCoaxGun'

    FireForce="AssaultRifleFire"   // jdf

	PreFireTime=0.0
	FireRateSP=0.07
	FireRateMP=0.07
    AIFireRateSP=0.07
	AIFireRateMP=0.07
    bModeExclusive=true

    //AimErrorAI_SP=(Min=50,Max=50)
	//AimErrorAI_MP=(Min=50,Max=50)
    //AimErrorHuman_SP=50
	//AimErrorHuman_MP=50

	TraceRange=15000

	bWaitForRelease=false

	ShakeOffsetMag=(X=1.0,Y=1.0,Z=1.0)
    ShakeOffsetRate=(X=1000.0,Y=1000.0,Z=1000.0)
    ShakeOffsetTime=2
    ShakeRotMag=(X=50.0,Y=50.0,Z=50.0)
    ShakeRotRate=(X=10000.0,Y=10000.0,Z=10000.0)
    ShakeRotTime=2

	// This really sucks, but constants are supported here, so I'm just setting this to the value of the constant.
	FireType=1
}
