class FireUSColt1911_ extends InstantFire;



var float LastFireTime;
var float ClickTime;

var Name EmptyReload;

event ModeDoFire()
{
	LastFireTime = Level.TimeSeconds;
	Super.ModeDoFire();
}

event ModeHoldFire()
{
}

defaultproperties
{
    AmmoClass=class'AmmoUSColt1911_'
    AmmoPerFire=1
    DamageType=class'DamageUSColt1911_'
    //DamageMin=35
    //DamageMax=40
	Damage_Human_SP=(min=35,max=45)
	Damage_Human_MP=(min=35,max=35)
	Damage_AI_SP=(min=35,max=45)
	Damage_AI_MP=(min=30,max=30)
    bPawnRapidFireAnim=true
	Load=1

    FireAnim=fire
    FireEndAnim=None
    FireLoopAnim=None
    FireAnimRate=1.0
	ReloadAnim=reload
	ReloadAnimRate=1.0

    FlashEmitterClass=class'gbxEffects.MuzzleFlashColt1911_'

	FireSoundName = "W_COLT.FIRE"
	StereoFireSoundName = "W_COLT.FIRE_ST"

    FireForce="PistolFire"   // jdf

	PreFireTime=0.0
    //FireRate=0.35
    FireRateSP=0.2
	FireRateMP=0.2
    AIFireRateSP=0.2
	AIFireRateMP=0.2
    bModeExclusive=true

	SuppressionMultiplierSP=0.5
	SuppressionMultiplierMP=2.0

    AimErrorMin_Human=70
	AimErrorMax_Human_Crouched=70
	AimErrorMax_Human_Standing=100
	AimErrorMax_Human_MovingSlow=100
	AimErrorMax_Human_MovingFast=120
	AimErrorMin_Human_Zoomed=45
	AimErrorMax_Human_Zoomed=100

	AimErrorMin_AI_MP=700
	AimErrorMax_AI_MP_Crouched=700
	AimErrorMax_AI_MP_Standing=1000
	AimErrorMax_AI_MP_Moving=1100
	AimMultiplier_AI_MP_Sighted=0.6

	AimErrorMin_AI_SP=700
	AimErrorMax_AI_SP_Crouched=700
	AimErrorMax_AI_SP_Standing=1000
	AimErrorMax_AI_SP_Moving=1100
	AimMultiplier_AI_SP_Sighted=0.6

    ShakeOffsetMag=(X=0.0,Y=0.0,Z=0.0)
    ShakeOffsetRate=(X=1000.0,Y=1000.0,Z=1000.0)
    ShakeOffsetTime=2
    ShakeRotMag=(X=50.0,Y=50.0,Z=50.0)
    ShakeRotRate=(X=10000.0,Y=10000.0,Z=10000.0)
    ShakeRotTime=2

	TweenTime = 0.01

	bWaitForRelease=true
	EmptyReload = Reload_Empty

	// This really sucks, but constants are supported here, so I'm just setting this to the value of the constant.
	FireType=1

	ShotCountMod=0
}
