//=============================================================================
// PawnAnimInfoFinalTwoHand - This has animations for the non-Simple Simon pawn.
//
//=============================================================================
class PawnAnimInfoFinalTwoHand extends ItemPawnAnimInfo;



defaultproperties
{
	FireStandingSighted=standing_firing_sighted
	FireStandingWallFacing=crouched_wall_facing_fire_firing

	FireCrouchedSighted=crouched_firing_sighted
	FireCornerStandingLeft=standing_firing_sighted
	FireCornerStandingRight=standing_firing_sighted
	FireCornerCrouchedLeft=crouched_wall_lean_left_fire_firing
	FireCornerCrouchedRight=crouched_wall_lean_right_fire_firing

	CycleStanding=standing_cycle_bolt

	CycleCrouched=crouched_cycle_bolt
	CycleCrouchedCornerFiringLeft=crouched_wall_lean_left_fire_cycle_bolt
	CycleCrouchedCornerFiringRight=crouched_wall_lean_right_fire_cycle_bolt

	TurnLeftRelaxed=standing_turn_left_relaxed
	TurnRightRelaxed=standing_turn_right_relaxed
	TurnLeftCombatRelaxed=standing_turn_left_combat
	TurnRightCombatRelaxed=standing_turn_right_combat
	TurnLeftSighted=standing_turn_left
	TurnRightSighted=standing_turn_right

	WalkingForwardRelaxed=standing_walk
	WalkingForwardSighted=standing_walk_aimed_sighted
	WalkingForwardLimpLeft=standing_walk_limp_left_leg
	WalkingForwardLimpRight=standing_walk_limp_left_leg
	WalkingLeftRelaxed=standing_strafe_left_walk_relaxed
	WalkingLeftSighted=standing_strafe_left_walk_sighted
	WalkingRightRelaxed=standing_strafe_right_walk_relaxed
	WalkingRightSighted=standing_strafe_right_walk_sighted
	WalkingBackRelaxed=standing_walk_back
	WalkingBackSighted=standing_walk_back_aimed_sighted

	RunningForwardRelaxed=standing_run
	RunningForwardSighted=standing_run_aimed
	RunningForwardLimpLeft=standing_run_limp_left_leg
	RunningForwardLimpRight=standing_run_limp_left_leg
	RunningLeftRelaxed=standing_strafe_left_fast
	RunningLeftSighted=standing_strafe_left_fast
	RunningRightRelaxed=standing_strafe_right_fast
	RunningRightSighted=standing_strafe_right_fast
	RunningBackRelaxed=standing_run_back
	RunningBackSighted=standing_run_back_aimed

	StandingSprint=standing_sprint

	CrouchedTurnLeftSighted=crouched_turn_left
	CrouchedTurnRightSighted=crouched_turn_right

	CrouchedCreepForwardRelaxed=crouched_creeping
	CrouchedCreepForwardSighted=crouched_creeping_aimed_sighted
	CrouchedCreepLeftRelaxed=crouched_strafe_left
	CrouchedCreepLeftSighted=crouched_strafe_left_aimed_sighted
	CrouchedCreepRightRelaxed=crouched_strafe_right
	CrouchedCreepRightSighted=crouched_strafe_right_aimed_sighted
	CrouchedCreepBackRelaxed=crouched_creeping_back
	CrouchedCreepBackSighted=crouched_creeping_back_aimed_sighted

	CrouchedSprint=crouched_sprint

	MeleeAttack(0)=standing_melee_attack_1
	MeleeAttack(1)=standing_melee_attack_2
	//MeleeAttack(2)=standing_melee_attack_3 // Bayonet charge
	MeleeAttack(2)=standing_melee_attack_1

	ReloadStanding=standing_reload
	ReloadCrouched=crouched_reload
	ReloadWallFacingCrouched=crouched_wall_lean_reload
	ReloadWallFacingCrouchedLeft=crouched_wall_lean_left_reload
	ReloadWallFacingCrouchedRight=crouched_wall_lean_right_reload
	ReloadWallFacingStandingLeft=standing_wall_lean_left_reload
	ReloadWallFacingStandingRight=standing_wall_lean_right_reload

	DeployStanding=standing_draw
	DeployCrouched=crouched_draw

	HolsterStanding=standing_holster
	HolsterCrouched=crouched_holster

	FlinchStanding(0)=standing_flinch_1
	FlinchStanding(1)=standing_flinch_2
	FlinchStanding(2)=standing_flinch_3
	FlinchStanding(3)=standing_flinch_3//standing_flinch_4
	FlinchCrouched(0)=crouched_flinch_1
	FlinchCrouched(1)=crouched_flinch_2
	FlinchCrouched(2)=crouched_flinch_3
	FlinchCrouched(3)=standing_flinch_3//crouched_flinch_4

	IdleStandingNoCombat(0)=standing_idle_relaxed_1
	IdleStandingNoCombat(1)=standing_idle_relaxed_2
	IdleStandingNoCombat(2)=standing_idle_relaxed_3
	IdleStandingNoCombat(3)=standing_idle_relaxed_4
	IdleStandingNoCombat(4)=standing_idle_relaxed_5
	IdleStandingNoCombat(5)=standing_idle_relaxed_6
	IdleStandingNoCombat(6)=standing_idle_relaxed_7

	IdleStandingAlert(0)=standing_idle_combat_1
	IdleStandingAlert(1)=standing_idle_combat_2
	IdleStandingAlert(2)=standing_idle_combat_3
	IdleStandingAlert(3)=standing_idle_combat_4
	IdleStandingAlert(4)=standing_idle_combat_1//standing_idle_combat_5
	IdleStandingAlert(5)=standing_idle_combat_2//standing_idle_combat_6
	IdleStandingAlert(6)=standing_idle_combat_3//standing_idle_combat_7
	
	IdleStandingSighted(0)=standing_idle_aimed_sighted_1
	IdleStandingSighted(1)=standing_idle_aimed_sighted_2
	IdleStandingSighted(2)=standing_idle_aimed_sighted_3
	IdleStandingSighted(3)=standing_idle_aimed_sighted_3
	IdleStandingSighted(4)=standing_idle_aimed_sighted_3
	IdleStandingSighted(5)=standing_idle_aimed_sighted_3
	IdleStandingSighted(6)=standing_idle_aimed_sighted_3
	IdleStandingWallLeanPeekLeft=standing_wall_lean_left_peek_peeking
	IdleStandingWallLeanPeekRight=standing_wall_lean_right_peek_peeking
	IdleStandingWallLeanFireLeft=standing_idle_aimed_sighted_1
	IdleStandingWallLeanFireRight=standing_idle_aimed_sighted_1
	IdleStandingWallLeanLeft(0)=standing_wall_lean_left_idle
	IdleStandingWallLeanLeft(1)=standing_wall_lean_left_idle_2
	IdleStandingWallLeanLeft(2)=standing_wall_lean_left_idle_3
	IdleStandingWallLeanLeft(3)=standing_wall_lean_left_idle_4
	IdleStandingWallLeanRight(0)=standing_wall_lean_right_idle
	IdleStandingWallLeanRight(1)=standing_wall_lean_right_idle_2
	IdleStandingWallLeanRight(2)=standing_wall_lean_right_idle_3
	IdleStandingWallLeanRight(3)=standing_wall_lean_right_idle_4
	IdleStandingWallFacing=crouched_wall_facing_fire_idle
	IdleStandingBackToWall=standing_wall_lean_idle

	IdleCrouchedNoCombat(0)=crouched_idle_relaxed_1
	IdleCrouchedNoCombat(1)=crouched_idle_relaxed_2
	IdleCrouchedNoCombat(2)=crouched_idle_relaxed_3
	IdleCrouchedNoCombat(3)=crouched_idle_relaxed_4
	IdleCrouchedNoCombat(4)=crouched_idle_relaxed_5
	IdleCrouchedNoCombat(5)=crouched_idle_relaxed_5
	IdleCrouchedNoCombat(6)=crouched_idle_relaxed_5
	IdleCrouchedRelaxed(0)=crouched_idle_relaxed_1
	IdleCrouchedRelaxed(1)=crouched_idle_relaxed_2
	IdleCrouchedRelaxed(2)=crouched_idle_relaxed_3
	IdleCrouchedRelaxed(3)=crouched_idle_relaxed_4
	IdleCrouchedRelaxed(4)=crouched_idle_relaxed_5
	IdleCrouchedRelaxed(5)=crouched_idle_relaxed_5
	IdleCrouchedRelaxed(6)=crouched_idle_relaxed_5
	IdleCrouchedSighted(0)=crouched_idle_aimed_sighted_1
	IdleCrouchedSighted(1)=crouched_idle_aimed_sighted_1
	IdleCrouchedSighted(2)=crouched_idle_aimed_sighted_1
	IdleCrouchedSighted(3)=crouched_idle_aimed_sighted_2
	IdleCrouchedSighted(4)=crouched_idle_aimed_sighted_3
	IdleCrouchedSighted(5)=crouched_idle_aimed_sighted_3
	IdleCrouchedSighted(6)=crouched_idle_aimed_sighted_3
	IdleCrouchedWallLeanPeekLeft=crouched_wall_lean_left_peek_peeking
	IdleCrouchedWallLeanPeekRight=crouched_wall_lean_right_peek_peeking
	IdleCrouchedWallLeanFireLeft=crouched_wall_lean_left_fire_idle
	IdleCrouchedWallLeanFireRight=crouched_wall_lean_right_fire_idle
	IdleCrouchedWallLeanLeft(0)=crouched_wall_lean_left_idle
	IdleCrouchedWallLeanLeft(1)=crouched_wall_lean_left_idle_2
	IdleCrouchedWallLeanLeft(2)=crouched_wall_lean_left_idle_3
	IdleCrouchedWallLeanLeft(3)=crouched_wall_lean_left_idle_4
	IdleCrouchedWallLeanRight(0)=crouched_wall_lean_right_idle
	IdleCrouchedWallLeanRight(1)=crouched_wall_lean_right_idle_2
	IdleCrouchedWallLeanRight(2)=crouched_wall_lean_right_idle_3
	IdleCrouchedWallLeanRight(3)=crouched_wall_lean_right_idle_4
	//IdleCrouchedWallFacing=crouched_idle_relaxed_wall
	//IdleCrouchedWallFacing(0)=crouched_idle_relaxed_wall
	//IdleCrouchedWallFacing(1)=crouched_idle_relaxed_wall
	//IdleCrouchedWallFacing(2)=crouched_idle_relaxed_wall	
	IdleCrouchedWallFacing(0)=crouched_wall_lean_idle_1
	IdleCrouchedWallFacing(1)=crouched_wall_lean_idle_2
	IdleCrouchedWallFacing(2)=crouched_wall_lean_idle_3
	IdleCrouchedWallFacing(3)=crouched_wall_lean_idle_4
	IdleCrouchedWallFacing(4)=crouched_wall_lean_idle_5
	IdleCrouchedWallFacing(5)=crouched_wall_lean_idle_5
	IdleCrouchedWallFacing(6)=crouched_wall_lean_idle_5

	IdleWallFacingPeek=crouched_wall_facing_peek_idle

	StandingToCrouch=standing_to_crouched
	StandingCoverFireToCrouchLeft=crouched_wall_lean_left_mount_from_standing
	StandingCoverFireToCrouchRight=crouched_wall_lean_right_mount_from_standing
	StandingPeekToCrouch=crouched_wall_facing_peek_dismount
	StandingToCrouchFacingWall=crouched_wall_facing_fire_dismount

	CrouchToStanding=crouched_to_standing
	CrouchToStandingCoverFireLeft=crouched_to_standing_fire_left
	CrouchToStandingCoverFireRight=crouched_to_standing_fire_right
	CrouchToStandingPeek=crouched_wall_facing_peek_mount
	CrouchToStandingFacingWall=crouched_wall_facing_fire_mount

	MountPeekLeftStanding=standing_wall_lean_left_peek_mount
	MountPeekLeftCrouched=crouched_wall_lean_left_peek_mount
	MountPeekRightStanding=standing_wall_lean_right_peek_mount
	MountPeekRightCrouched=crouched_wall_lean_right_peek_mount
	MountFireLeftCrouched=crouched_wall_lean_left_fire_mount
	MountFireRightCrouched=crouched_wall_lean_right_fire_mount
	MountFireLeftStanding=standing_wall_lean_left_fire_mount
	MountFireRightStanding=standing_wall_lean_right_fire_mount

	MountMG42Gunner=UNARMED_mg42_mount

	DismountPeekLeftCrouched=crouched_wall_lean_left_peek_dismount
	DismountPeekRightCrouched=crouched_wall_lean_right_peek_dismount
	DismountPeekLeftStanding=standing_wall_lean_left_peek_dismount
	DismountPeekRightStanding=standing_wall_lean_right_peek_dismount
	DismountFireLeftCrouched=crouched_wall_lean_left_fire_dismount
	DismountFireLeftStanding=standing_wall_lean_left_fire_dismount
	DismountFireRightCrouched=crouched_wall_lean_right_fire_dismount
	DismountFireRightStanding=standing_wall_lean_right_fire_dismount

	DismountMG42Gunner=UNARMED_mg42_dismount
	DismountMG42GunnerTurn=UNARMED_mg42_dismount_turn

	MountTankStuart30cal=stuart_player_mount_gun
	DismountTankStuart30cal=stuart_player_dismount_gun
	MountTankSherman50cal=sherman_player_mount_gun
	DismountTankSherman50cal=sherman_player_dismount_gun

	ReactToBulletsStanding(0)=standing_react_to_bullets_1
	ReactToBulletsStanding(1)=standing_react_to_bullets_2
	ReactToBulletsStanding(2)=standing_react_to_bullets_3
	ReactToBulletsStanding(3)=standing_react_to_bullets_4
	ReactToBulletsStanding(4)=standing_react_to_bullets_5
	ReactToBulletsCrouched(0)=crouched_react_to_bullets_1
	ReactToBulletsCrouched(1)=crouched_react_to_bullets_2
	ReactToBulletsCrouched(2)=crouched_react_to_bullets_3
	ReactToBulletsCrouched(3)=crouched_react_to_bullets_4
	ReactToBulletsLeftCornerCrouched(0)=crouched_wall_lean_left_react_to_bullets_1
	ReactToBulletsLeftCornerCrouched(1)=crouched_wall_lean_left_react_to_bullets_2
	ReactToBulletsLeftCornerCrouched(2)=crouched_wall_lean_left_react_to_bullets_3
	ReactToBulletsRightCornerCrouched(0)=crouched_wall_lean_right_react_to_bullets_1
	ReactToBulletsRightCornerCrouched(1)=crouched_wall_lean_right_react_to_bullets_2
	ReactToBulletsRightCornerCrouched(2)=crouched_wall_lean_right_react_to_bullets_3
	ReactToBulletsLeftCornerStanding(0)=standing_wall_lean_left_react_to_bullets_1
	ReactToBulletsLeftCornerStanding(1)=standing_wall_lean_left_react_to_bullets_2
	ReactToBulletsLeftCornerStanding(2)=standing_wall_lean_left_react_to_bullets_3
	ReactToBulletsRightCornerStanding(0)=standing_wall_lean_right_react_to_bullets_1
	ReactToBulletsRightCornerStanding(1)=standing_wall_lean_right_react_to_bullets_2
	ReactToBulletsRightCornerStanding(2)=standing_wall_lean_right_react_to_bullets_3

	CombatReadyTransitions(0)=standing_idle_to_combat_1
	CombatReadyTransitions(1)=standing_idle_to_combat_2
	CombatReadyTransitions(2)=standing_idle_to_combat_3
	CombatReadyTransitions(3)=standing_idle_to_combat_4

	WallLeanCrouchedToStandingLeft=standing_wall_lean_left_mount_from_crouched
	WallLeanCrouchedToStandingRight=standing_wall_lean_right_mount_from_crouched
	WallLeanStandingToCrouchedLeft=crouched_wall_lean_left_mount_from_standing
	WallLeanStandingToCrouchedRight=crouched_wall_lean_right_mount_from_standing
	WallLeanStandingToStandingLeft=standing_wall_lean_left_mount_from_standing
	WallLeanStandingToStandingRight=standing_wall_lean_right_mount_from_standing
	WallLeanCrouchedToCrouchedLeft=crouched_wall_lean_left_mount_from_crouched
	WallLeanCrouchedToCrouchedRight=crouched_wall_lean_right_mount_from_crouched
	WallLeanCrouchedToStandingBack=standing_wall_lean_mount_from_crouched
	WallLeanStandingToStandingBack=standing_wall_lean_mount_from_standing

	DismountWallLeanCrouchedToCrouchedLeft=crouched_wall_lean_left_dismount_to_crouched
	DismountWallLeanCrouchedToCrouchedRight=crouched_wall_lean_right_dismount_to_crouched
	DismountWallLeanCrouchedToStandingLeft=crouched_wall_lean_left_dismount_to_standing	
	DismountWallLeanCrouchedToStandingRight=crouched_wall_lean_right_dismount_to_standing	
	DismountWallLeanStandingToCrouchedLeft=standing_wall_lean_left_dismount_to_crouched
	DismountWallLeanStandingToCrouchedRight=standing_wall_lean_right_dismount_to_crouched
	DismountWallLeanStandingToStandingLeft=standing_wall_lean_left_dismount_to_standing
	DismountWallLeanStandingToStandingRight=standing_wall_lean_right_dismount_to_standing

	/// These are deprecated
	ThrowGrenadeStanding=standing_throw_grenade
	ThrowGrenadeCrouched=crouched_throw_grenade

	GrenadeStandingToCower=standing_down_to_cower
	GrenadeCrouchedToCower=crouched_down_to_cower
	GrenadeStandingFromCower=standing_up_from_cower
	GrenadeCrouchedFromCower=crouched_up_from_cower
	GrenadeCowering=crouched_cower

	GrenadeReturnCrouched=crouched_grenade_return
	GrenadeReturnStanding=standing_grenade_return

	IdleFeedingMG42Idle=UNARMED_mg42_assistant_idle
	IdleFeedingMG42Firing=UNARMED_mg42_assistant_feeding
	IdleSpottingMG42=UNARMED_spotter_search

	IdleFlakVGunner(0)=Flakv_gunner_idle_1
	IdleFlakVGunner(1)=Flakv_gunner_idle_2
	IdleFlakVGunner(2)=Flakv_gunner_idle_3

	IdleFlakvLoaderLeft(0)=Flakv_L_loader_idle_1
	IdleFlakvLoaderLeft(1)=Flakv_L_loader_idle_2
	IdleFlakvLoaderLeft(2)=Flakv_L_loader_idle_3

	IdleFlakvLoaderRight(0)=Flakv_R_loader_idle_1
	IdleFlakvLoaderRight(1)=Flakv_R_loader_idle_2
	IdleFlakvLoaderRight(2)=Flakv_R_loader_idle_3

	ReloadFlakvLeft=Flakv_L_loader_reload
	ReloadFlakvRight=Flakv_R_loader_reload

	DismountFlakVGunner=FlakV_gunner_dismount
	DismountFlakVLeftLoader=FlakV_L_loader_dismount
	DismountFlakVRightLoader=FlakV_R_loader_dismount

	DismountPak36Gunner=pak_gunner_dismount
	DismountPak36Loader=pak_loader_dismount

	DismountMortarGunner=de_mortar_gunner_dismount
	DismountMortarLeftLoader=de_mortar_loader_1_dismount
	DismountMortarRightLoader=de_mortar_loader_2_dismount

	OffsetXFlakVGunnerDismount=20.948
	OffsetYFlakVGunnerDismount=100.374
	OffsetXFlakVLeftLoaderDismount=-80.42
	OffsetYFlakVLeftLoaderDismount=42.474	
	OffsetXFlakVRightLoaderDismount=-195.878
	OffsetYFlakVRightLoaderDismount=65.276

	OffsetXPak36GunnerDismount=-98.017
	OffsetYPak36GunnerDismount=1.525
	OffsetXPak36LoaderDismount=-57.851
	OffsetYPak36LoaderDismount=-6.758

	OffsetXMortarGunnerDismount;
	OffsetYMortarGunnerDismount;
	OffsetXMortarLeftLoaderDismount;
	OffsetYMortarLeftLoaderDismount;
	OffsetXMortarRightLoaderDismount;
	OffsetYMortarRightLoaderDismount;

	ReloadPak36_=pak_loader_fire

	IdlePak36Gunner(0)=pak_gunner_idle_1

	IdlePak36Loader(0)=pak_loader_idle_1
	IdlePak36Loader(1)=pak_loader_idle_2

	IdleMortarGunner(0)=de_mortar_gunner_idle_1
	IdleMortarGunner(1)=de_mortar_gunner_idle_2
	IdleMortarGunner(2)=de_mortar_gunner_idle_3
	
	IdleMortarLoaderLeft(0)=de_mortar_loader_1_idle_1
	IdleMortarLoaderLeft(1)=de_mortar_loader_1_idle_2
	IdleMortarLoaderLeft(2)=de_mortar_loader_1_idle_3

	IdleMortarLoaderRight(0)=de_mortar_loader_2_idle_1
	IdleMortarLoaderRight(1)=de_mortar_loader_2_idle_2
	IdleMortarLoaderRight(2)=de_mortar_loader_2_idle_3

	TNTMountAnim=standing_explosives_down
	TNTPlantingAnim=standing_explosives_planting
	TNTDismountAnim=standing_explosives_up

	SpottingMG42Point=UNARMED_spotter_point

	ThrowGermanGrenadeStanding=
	ThrowGermanGrenadeCrouched=

	JumpInPlace=standing_jump_in_place
	RunningJump=standing_running_jump

	PlayerBlownDown(0)=PLAYER_blown_down_2
	PlayerBlownDown(1)=PLAYER_blown_down_3

	WeaponAnimSet="a_hold_rifle.a_hold_rifle"
	m_fReloadHandSwitch=true
}
