//=============================================================================
// PawnAnimInfoFinalUnarmed - This has animations for the non-Simple Simon pawn.
//
//=============================================================================
class PawnAnimInfoFinalUnarmed extends PawnAnimInfoFinalTwoHand;



defaultproperties
{
	TurnLeftRelaxed=standing_turn_left_relaxed
	TurnRightRelaxed=standing_turn_right_relaxed
	TurnLeftSighted=standing_turn_left
	TurnRightSighted=standing_turn_right

	WalkingForwardRelaxed=UNARMED_walk
	WalkingForwardSighted=UNARMED_walk
	WalkingForwardLimpLeft=UNARMED_walk
	WalkingForwardLimpRight=UNARMED_walk
	WalkingLeftRelaxed=UNARMED_strafe_left
	WalkingLeftSighted=UNARMED_strafe_left
	WalkingRightRelaxed=UNARMED_strafe_right
	WalkingRightSighted=UNARMED_strafe_right
	WalkingBackRelaxed=UNARMED_walk_back
	WalkingBackSighted=UNARMED_walk_back

	RunningForwardRelaxed=UNARMED_run
	RunningForwardSighted=UNARMED_run
	RunningForwardLimpLeft=UNARMED_run
	RunningForwardLimpRight=UNARMED_run
	RunningLeftRelaxed=UNARMED_strafe_left
	RunningLeftSighted=UNARMED_strafe_left
	RunningRightRelaxed=UNARMED_strafe_right
	RunningRightSighted=UNARMED_strafe_right
	RunningBackRelaxed=UNARMED_run_back
	RunningBackSighted=UNARMED_run_back
	
	StandingSprint=UNARMED_sprint
	
	IdleStandingNoCombat(0)=UNARMED_idle_1
	IdleStandingNoCombat(1)=UNARMED_idle_2
	IdleStandingNoCombat(2)=UNARMED_idle_3
	IdleStandingNoCombat(3)=UNARMED_idle_4
	IdleStandingNoCombat(4)=UNARMED_idle_5
	IdleStandingNoCombat(5)=UNARMED_idle_6
	IdleStandingNoCombat(6)=UNARMED_idle_6

	IdleStandingAlert(0)=UNARMED_idle_1
	IdleStandingAlert(1)=UNARMED_idle_2
	IdleStandingAlert(2)=UNARMED_idle_3
	IdleStandingAlert(3)=UNARMED_idle_4
	IdleStandingAlert(4)=UNARMED_idle_5
	IdleStandingAlert(5)=UNARMED_idle_6
	IdleStandingAlert(6)=UNARMED_idle_6
	
	IdleStandingSighted(0)=UNARMED_idle_1
	IdleStandingSighted(1)=UNARMED_idle_2
	IdleStandingSighted(2)=UNARMED_idle_3
	IdleStandingSighted(3)=UNARMED_idle_4
	IdleStandingSighted(4)=UNARMED_idle_5
	IdleStandingSighted(5)=UNARMED_idle_6
	IdleStandingSighted(6)=UNARMED_idle_6
	
	WeaponAnimSet="a_hold_misc.unarmed"
}
