//=============================================================================
// PickupWeapDEMP40_
//=============================================================================
class PickupWeapDEMP40_ extends gbxWeaponPickup
	placeable;


simulated function PostNetBeginPlay()
{
	Super.PostNetBeginPlay();
	
	SetStaticMesh(StaticMesh(DynamicLoadObject("s_npc_weapon_de.de_mp40", class'StaticMesh')));
	SetDrawType( DT_StaticMesh );
}

defaultproperties
{
    InventoryType=class'WeapDEMP40_'

	DrawType=DT_Sprite
	Texture=Texture'Engine.S_Weapon'
    MessageClass=class'PickupMessagePlus'
    PickupMessage="You got the German MP40."
//    PickupSound=Sound'PickupSounds.AssaultRiflePickup'
    PickupForce="PickupDEMP40_"  // jdf
    PickupName="German MP 40"

	MaxDesireability=+0.4

//    StaticMesh=StaticMesh's_npc_weapon_de.de_mp40'
//    DrawType=DT_StaticMesh
    DrawScale=1.0
    bAcceptsProjectors=false

	AmmoAmount(0)=224
	ClipAmount(0)=32

	DropCueName="GEAR.DROPMACHINEGUN"
}
