//=============================================================================
// PickupWeapDEPanzerfaust
//=============================================================================
class PickupWeapDEPanzerfaust extends gbxWeaponPickup
	placeable;


simulated function PostNetBeginPlay()
{
	Super.PostNetBeginPlay();
	
	SetStaticMesh(StaticMesh(DynamicLoadObject("s_npc_weapon_de.de_panzerfaust", class'StaticMesh')));
	SetDrawType( DT_StaticMesh );
}

defaultproperties
{
    InventoryType=class'WeapDEPanzerfaust'

	DrawType=DT_Sprite
	Texture=Texture'Engine.S_Weapon'
    MessageClass=class'PickupMessagePlus'
    PickupMessage="You got the German Panzerfaust."
//    PickupSound=Sound'PickupSounds.AssaultRiflePickup'
    PickupForce="PickupDEPanzerfaust"  // jdf
    PickupName="German Panzerfaust"

	MaxDesireability=+0.4

//    StaticMesh=StaticMesh's_npc_weapon_de.de_panzerfaust'
//    DrawType=DT_StaticMesh
    DrawScale=1.0
    bAcceptsProjectors=false

	AmmoAmount(0)=1
	ClipAmount(0)=1

	GetSurfTypeFromTexture=false // This fixes bug 6046.
}
