//=============================================================================
// PickupWeapUSSpringfield
//=============================================================================
class PickupWeapUSSpringfield extends gbxWeaponPickup
	placeable;


simulated function PostNetBeginPlay()
{
	Super.PostNetBeginPlay();
	
	SetStaticMesh(StaticMesh(DynamicLoadObject("s_npc_weapon_us.us_springfield", class'StaticMesh')));
	SetDrawType( DT_StaticMesh );
}

defaultproperties
{
    InventoryType=class'WeapUSSpringfield'

	DrawType=DT_Sprite
	Texture=Texture'Engine.S_Weapon'
    MessageClass=class'PickupMessagePlus'
    PickupMessage="You got the US M1903 Bolt-Action Rifle."
//    PickupSound=Sound'PickupSounds.AssaultRiflePickup'
    PickupForce="PickupUSSpringfield"  // jdf
    PickupName="US M1903 Bolt-Action Rifle"

	MaxDesireability=+0.4

//    StaticMesh=StaticMesh's_npc_weapon_us.us_springfield'
//    DrawType=DT_StaticMesh
    DrawScale=1.0
    bAcceptsProjectors=false

	AmmoAmount(0)=55
	ClipAmount(0)=5
}
