class WeapUSM1919_ extends WeapDEMG42_;

simulated function LoadWeaponMesh()
{
	Super.LoadWeaponMesh();
	Mesh = Mesh( DynamicLoadObject( "k_view_model_us.view_30cal_crosshair", class'Mesh' ) );
	LinkMesh( Mesh );
}

defaultproperties
{
//	Mesh=Mesh'k_view_model_us.view_30cal_crosshair'
	ItemName="U.S. M1919 30 Caliber Machinegun"

	FireModeClass(0)=FireUSM1919_
	FireModeClass(1)=FireUSM1919_
	AttachmentClass=class'AttachmentUSM1919_'

	FireLoopSoundName="W_30CAL.Loop"
	FireOneBulletSoundName="W_30CAL.End"

	StereoFireLoopSoundName="W_30CAL.LOOP_ST"
	StereoFireOneBulletSoundName="W_30CAL.END_ST"

	// Nine-point blending animations.
	//PawnMountAnim=30cal_mount
	//PawnDismountAnim=30cal_dismount	

	PlayerMountAnim=30cal_player_mount
	PlayerDismountAnim=30cal_player_dismount

	PawnForwardDownAnim=30cal_forward_down
	PawnForwardLevelAnim=30cal_forward_level
	PawnForwardUpAnim=30cal_forward_up
	PawnLeftDownAnim=30cal_left_down
	PawnLeftLevelAnim=30cal_left_level
	PawnLeftUpAnim=30cal_left_up
	PawnRightDownAnim=30cal_right_down
	PawnRightLevelAnim=30cal_right_level
	PawnRightUpAnim=30cal_right_up	
	
	CameraDismountedOffset=(X=25.0,Y=0.0,Z=85.0)
	CameraOffsetZoomed=(X=-38.5,Y=0,Z=0.92)

	HorizCosTheta=1.075
	VertCosTheta=0.525

	GunnerOffset=(X=-10,Y=0,Z=30)

	//HorizFieldUU=12470
	//VertFieldUU=3640

	MyMountAction=Mount_Mount30CalGunner
	MyDismountAction=Mount_Dismount30CalGunner

	WeaponName = WN_USColt1911

	bOpaqueForSituationalAwarenessView=true
}