//=============================================================================
// WeapUSM1_
//=============================================================================
class WeapUSThompson extends WargameWeapon
    config(user);

simulated function LoadWeaponMesh()
{
	Super.LoadWeaponMesh();
	Mesh = Mesh( DynamicLoadObject( "k_view_model_us.view_thompson", class'Mesh' ) );
	m_NormalViewMesh = Mesh( DynamicLoadObject( "k_view_model_us.view_thompson", class'Mesh' ) );
	m_ZoomViewMesh = Mesh( DynamicLoadObject( "k_view_model_us.view_thompson_crosshair", class'Mesh' ) );
	LinkMesh( Mesh );
}

function byte BestMode()
{
	return 0;
}

defaultproperties
{
    ItemName="US M1A1 Sub-Machine Gun"

    FireModeClass(0)=FireUSThompson
    FireModeClass(1)=FireSecondaryItem
    FireModeClass(2)=FireMelee
    InventoryGroup=2
//	Mesh=Mesh'K_view_model_us.view_thompson'
//	m_NormalViewMesh=Mesh'K_view_model_us.view_thompson'
//	m_ZoomViewMesh=Mesh'K_view_model_us.view_thompson_crosshair'
	m_nCharacterBodyIdx=4
    BobDamping=0.5
    PickupClass=class'PickupWeapUSThompson'
    EffectOffset=(X=120.0,Y=20.0,Z=-18.0)
	DisplayFOV=+50.0
    AttachmentClass=class'AttachmentUSThompson'

    DrawScale=1.0
	PlayerViewOffset=(X=20.000,Y=0.000000,Z=-0.50000)
    SelectSound=None

	AIRating=+0.4
    CurrentRating=0.4

	// This icon no longer exists.
	//Icon=material'WG_HUD.HUD.wpn_garand'

//	m_aClipIcon=material'WG_HUD.HUD.clip_garand'
//	m_flBulletHeight=18
//	m_flClipHeight=128
//	m_flClipWidth=128
//	m_fClipFront=true
//	m_aFrontBulletIcon=material't_interface_mb.HUD.ammo_45cal'
//	m_aBackBulletIcon=material'WG_HUD.HUD.ammo_bullet_bck'
	m_nBulletIconTextureX=232
	m_nBulletIconTextureY=229
	m_nClipIconTextureX=206
	m_nClipIconTextureY=229

	m_eWeaponType=WeaponPrimary
	MyMeleeDamageType=class'DamageUSGunButtMelee'

	DefaultAmmoCount(0)=210

	ZoomInAnim=aim_up
	ZoomOutAnim=aim_down
	SelectAnim=deploy
	PutDownAnim=holster
	IdleAnim(0)=idle_01
	IdleAnim(1)=idle_02
	IdleAnim(2)=idle_03

	WeaponBoneName=rifle_hold

	ZoomFovMod=17.0000

	m_flPauseTimeExposed=0.7

	AmmoClipSize=30

	m_flEncumberance=1.0
	m_fCanSprint=true
	m_bIsAutomatic=true

	Desirability=1.5

	BreatheProfileClass=class'gbxMediumBreatheProfile'
	
	nIconX=250
	nIconY=0
	nIconW=31
	nIconH=90

	WeaponName = WN_USThompson
}
