class FireDEMG42Static extends InstantFire;



var float	LastFireTime;
var float	ClickTime;

event ModeDoFire()
{
	LastFireTime = Level.TimeSeconds;
	Super.ModeDoFire();
}

event ModeHoldFire()
{
}

//---------------------------------------------------------
//	StartFiringWeapon
//---------------------------------------------------------
function StartFiringWeapon()
{
	if ( FlashEmitter != None && FlashEmitter.IsA( 'gbxMuzzleFlash' ) )
		gbxMuzzleFlash( FlashEmitter ).FireButtonPressed();
}

//---------------------------------------------------------
//	StopFiringWeapon
//---------------------------------------------------------
function StopFiringWeapon()
{
	if ( FlashEmitter != None && FlashEmitter.IsA( 'gbxMuzzleFlash' ) )
		gbxMuzzleFlash( FlashEmitter ).FireButtonReleased();
}

defaultproperties
{
    AmmoClass=class'AmmoDEMG42_'
    AmmoPerFire=1
    DamageType=class'DamageDEMG42_'
    //DamageMin=90
    //DamageMax=120
	Damage_Human_SP=(min=90,max=120)
	Damage_Human_MP=(min=90,max=120)
	Damage_AI_SP=(min=90,max=120)
	Damage_AI_MP=(min=90,max=120)
    bPawnRapidFireAnim=true
	Load=1

    FireAnim=fire
    FireEndAnim=None
    FireLoopAnim=None
    FireAnimRate=1.0
	ReloadAnim=reload
	ReloadAnimRate=1.0

    FlashEmitterClass=class'gbxEffects.MuzzleFlashMG42_'

    FireForce="MachineGunFire"   // jdf

	PreFireTime=0.0
	FireRateSP=0.07
	FireRateMP=0.07
    AIFireRateSP=0.07
	AIFireRateMP=0.07
    bModeExclusive=true

	SuppressionMultiplierSP=0.5
    //AimErrorAI_SP=(Min=50,Max=500)
	//AimErrorAI_MP=(Min=50,Max=500)
    //AimErrorHuman_SP=50
	//AimErrorHuman_MP=50

    ShakeOffsetMag=(X=0.0,Y=0.0,Z=0.0)
    ShakeOffsetRate=(X=1000.0,Y=1000.0,Z=1000.0)
    ShakeOffsetTime=2
    ShakeRotMag=(X=50.0,Y=50.0,Z=50.0)
    ShakeRotRate=(X=10000.0,Y=10000.0,Z=10000.0)
    ShakeRotTime=2

    TweenTime = 0.01

	TraceRange=15000
	
	bWaitForRelease=false

	// Burst count levels.
	Burst_High_SP=(Min=10,Max=20)
	Burst_High_MP=(Min=10,Max=20)
	Burst_Low_SP=(Min=10,Max=20)
	Burst_Low_MP=(Min=10,Max=20)
	Burst_Op_SP=(Min=10,Max=20)
	Burst_Op_MP=(Min=10,Max=20)

	ShotCountMod=3

	// This really sucks, but constants are supported here, so I'm just setting this to the value of the constant.
	FireType=1
}
