class FireDEPak36_ extends InstantFire;

var float ShellVelocity;

simulated function PlayFiring()
{
	Super.PlayFiring();

	// DANGER: Super's version of this function MIGHT play the animation if you're in first-person mode.
	Weapon.PlayAnim(FireAnim, FireAnimRate, TweenTime);

	WeapDEPak36_( Weapon ).PlayFiring();

	Spawn( FlashEmitterClass,,, Weapon.GetMuzzleLocationWorld(), TurretWeapon( Weapon ).GetFireRotation() );
}

function DoFireEffect()
{
	local ProjectileDEPak36_ aShell;
	local Rotator Aim;
	local Vector StartTrace;
	local int bSkipDoTrace;

	StartTrace = Weapon.GetMuzzleLocationWorld();

	if (gbxPawn(Instigator) != None)
		gbxPawn(Instigator).LastAimRotator = Aim;
		
	Aim = AdjustAimNew( StartTrace, bSkipDoTrace );

	aShell = Spawn( class'ProjectileDEPak36_',,, StartTrace, Aim );
	aShell.LaunchingWeapon = Weapon;
}

simulated function PlayReloading()
{
	/*
	if ( Weapon.IsReloading() )
		return;

	WeapDEPak36_( Weapon ).PlayReloading();

    // TBD: reloading sound here

	Weapon.ClientState = WS_Reloading;
	bIsReloading = true;

	Weapon.IncrementFlashCount(WEAP_StateReload);	
	*/
}

defaultproperties
{
	AmmoClass=class'AmmoDEFlakvierling'
	FlashEmitterClass=class'MuzzleFlashPak36_'

	FireAnim=Fire
	FireAnimRate=1.0
	AmmoPerFire=1

	AIFireRateSP=0.4
	AIFireRateMP=0.4

	ShellVelocity=1000.0

	FireSoundName="W_ANTITANKGUN.Fire"
	StereoFireSoundName="W_ANTITANKGUN.Fire_ST"
}
