class FireUSBar extends InstantFire;



var float	LastFireTime;
var float	ClickTime;

event ModeDoFire()
{
	LastFireTime = Level.TimeSeconds;
	Super.ModeDoFire();
}

event ModeHoldFire()
{
}

defaultproperties
{
    AmmoClass=class'AmmoUSBar'
    AmmoPerFire=1
    DamageType=class'DamageUSBar'
    //DamageMin=50
    //DamageMax=60
	Damage_Human_SP=(min=60,max=70)
	Damage_Human_MP=(min=40,max=40)
	Damage_AI_SP=(min=40,max=50)
	Damage_AI_MP=(min=40,max=40)
    bPawnRapidFireAnim=true
	Load=1

    FireAnim=fire
    FireEndAnim=None
    FireLoopAnim=None
    FireAnimRate=1.0
	ReloadAnim=reload
	ReloadAnimRate=1.0

    FlashEmitterClass=class'gbxEffects.MuzzleFlashBar'

	FireSoundName="W_BAR.FIRE"
	StereoFireSoundName="W_BAR.FIRE_ST"
	
    //FireSound=Sound'WeaponSounds.AssaultRifle.AssaultRifleFire'
    FireForce="AssaultRifleFire"   // jdf

	PreFireTime=0.0
    FireRateSP=0.15 // SJP: 0.12 = 500 Rnds/min (accurate)
	FireRateMP=0.15 // SJP: 0.12 = 500 Rnds/min (accurate)
    AIFireRateSP=0.15
	AIFireRateMP=0.15
	AIFireRateVarianceSP=0.0
	AIFireRateVarianceMP=0.0
    bModeExclusive=true

	SuppressionMultiplierSP=1.0
	SuppressionMultiplierMP=1.5

	AimErrorMin_Human=200
	AimErrorMax_Human_Crouched=250	
	AimErrorMax_Human_Standing=450
	AimErrorMax_Human_MovingSlow=1250
	AimErrorMax_Human_MovingFast=1500
	AimErrorMin_Human_Zoomed=175
	AimErrorMax_Human_Zoomed=750
	AimErrorMin_Human_FirstShot=25
	AimErrorMax_Human_FirstShot=75

	AimErrorMin_AI_MP=500
	AimErrorMax_AI_MP_Crouched=1200
	AimErrorMax_AI_MP_Standing=1200
	AimErrorMax_AI_MP_Moving=3200
	AimMultiplier_AI_MP_Sighted=1.0

	AimErrorMin_AI_SP=400
	AimErrorMax_AI_SP_Crouched=500
	AimErrorMax_AI_SP_Standing=900
	AimErrorMax_AI_SP_Moving=2500
	AimMultiplier_AI_SP_Sighted=0.8

    ShakeOffsetMag=(X=0.0,Y=0.0,Z=0.0)
    ShakeOffsetRate=(X=1000.0,Y=1000.0,Z=1000.0)
    ShakeOffsetTime=2
    ShakeRotMag=(X=50.0,Y=50.0,Z=50.0)
    ShakeRotRate=(X=10000.0,Y=10000.0,Z=10000.0)
    ShakeRotTime=2

    TweenTime = 0.01

	bWaitForRelease=false

	// Burst count levels.
	Burst_High_SP=(Min=6,Max=10)
	Burst_High_MP=(Min=5,Max=15)
	Burst_Low_SP=(Min=5,Max=10)
	Burst_Low_MP=(Min=5,Max=15)
	Burst_Op_SP=(Min=5,Max=10)
	Burst_Op_MP=(Min=7,Max=20)

	ShotCountMod=3

	m_flRandomBurstRange=0.0

	// This really sucks, but constants are supported here, so I'm just setting this to the value of the constant.
	FireType=1
	bAccurateFirstShot=true
}
