class FireUSM1Carbine extends InstantFire;



var float LastFireTime;
var float ClickTime;
var transient gbxWeaponShells EjectedShell;

event ModeDoFire()
{
	LastFireTime = Level.TimeSeconds;
	Super.ModeDoFire();
}

event ModeHoldFire()
{
}

defaultproperties
{
    AmmoClass=class'AmmoUSM1Carbine'
    AmmoPerFire=1
    DamageType=class'DamageUSM1Carbine'
    //DamageMin=50
    //DamageMax=60
	Damage_Human_SP=(min=40,max=50)
	Damage_Human_MP=(min=30,max=30)
	Damage_AI_SP=(min=40,max=50)
	Damage_AI_MP=(min=30,max=30)
    bPawnRapidFireAnim=true
	Load=1

    FireAnim=fire
    FireEndAnim=None
    FireLoopAnim=None
    FireAnimRate=1.0
	ReloadAnim=reload
	ReloadAnimRate=1.0

    FlashEmitterClass=class'gbxEffects.MuzzleFlashM1_'

	FireSoundName="W_M1CARBINE.FIRE"
	StereoFireSoundName="W_M1CARBINE.FIRE_ST"
    //FireSound=Sound'WeaponSounds.AssaultRifle.AssaultRifleFire'
    FireForce="AssaultRifleFire"   // jdf

	PreFireTime=0.0
    FireRateSP=0.12
	FireRateMP=0.3
    AIFireRateSP=0.5
	AIFireRateMP=0.3
	AIOpBurstMultiplierSP=0.4
	AIOpBurstMultiplierMP=0.6
	AIFireRateVarianceSP=0.25		// Up to a 1/4 second difference in either direction.
	AIFireRateVarianceMP=0.05
    bModeExclusive=true

    AimErrorMin_Human=20
	AimErrorMax_Human_Crouched=25
	AimErrorMax_Human_Standing=45
	AimErrorMax_Human_MovingSlow=90
	AimErrorMax_Human_MovingFast=110
	//AimErrorMin_Human_Zoomed=5
	AimErrorMin_Human_Zoomed=7
	AimErrorMax_Human_Zoomed=20

	AimErrorMin_AI_MP=340
	AimErrorMax_AI_MP_Crouched=1000
	AimErrorMax_AI_MP_Standing=1000
	AimErrorMax_AI_MP_Moving=1000
	AimMultiplier_AI_MP_Sighted=1.0

	AimErrorMin_AI_SP=200
	AimErrorMax_AI_SP_Crouched=250
	AimErrorMax_AI_SP_Standing=450
	AimErrorMax_AI_SP_Moving=1000
	AimMultiplier_AI_SP_Sighted=0.25

    ShakeOffsetMag=(X=0.0,Y=0.0,Z=0.0)
    ShakeOffsetRate=(X=1000.0,Y=1000.0,Z=1000.0)
    ShakeOffsetTime=2
    ShakeRotMag=(X=10.0,Y=10.0,Z=10.0)
    ShakeRotRate=(X=10000.0,Y=10000.0,Z=10000.0)
    ShakeRotTime=2

    TweenTime = 0.0

	bWaitForRelease=true

	// Suppression Multiplier
	SuppressionMultiplierMP=0.4

	// Burst count levels.
	Burst_High_SP=(Min=1,Max=3)
	Burst_High_MP=(Min=3,Max=10)
	Burst_Low_SP=(Min=3,Max=5)
	Burst_Low_MP=(Min=3,Max=10)
	Burst_Op_SP=(Min=8,Max=8)
	Burst_Op_MP=(Min=5,Max=15)

	// This really sucks, but constants are supported here, so I'm just setting this to the value of the constant.
	FireType=1

	ShotCountMod=2
}
