class FireUSM1_ extends SingleBulletReloadFire;



var float LastFireTime;
var float ClickTime;
var transient gbxWeaponShells EjectedShell;

event ModeDoFire()
{
	LastFireTime = Level.TimeSeconds;
	Super.ModeDoFire();
}

event ModeHoldFire()
{
}

function StartOpBurst()
{
	Super.StartOpBurst();
	AIFireRateVarianceSP = 0.0;		// Really no need for rate-of-fire variation when firing this fast.
	AIFireRateVarianceMP = 0.0;		// Really no need for rate-of-fire variation when firing this fast.
	NextFireTime = Level.TimeSeconds;	// Move up the next bullet time.
}

function StartBerserk()
{
	Super.StartBerserk();
	AIFireRateVarianceSP = 0.0;		// Really no need for rate-of-fire variation when firing this fast.
	AIFireRateVarianceMP = 0.0;		// Really no need for rate-of-fire variation when firing this fast.
	NextFireTime = Level.TimeSeconds;	// Move up the next bullet time.
}

function StopBerserk()
{
	Super.StopBerserk();
	AIFireRateVarianceSP = default.AIFireRateVarianceSP;
	AIFireRateVarianceSP = default.AIFireRateVarianceMP;
}

defaultproperties
{
    AmmoClass=class'AmmoUSM1_'
    AmmoPerFire=1
    DamageType=class'DamageUSM1_'
    //DamageMin=50
    //DamageMax=60
	Damage_Human_SP=(min=80,max=105)
	Damage_Human_MP=(min=35,max=35)
	Damage_AI_SP=(min=40,max=45)
	Damage_AI_MP=(min=35,max=35)
    bPawnRapidFireAnim=true
	Load=1

    FireAnim=fire
    FireEndAnim=None
    FireLoopAnim=None
    FireAnimRate=1.0
	ReloadAnim=reload
	ReloadAnimRate=1.0

    FlashEmitterClass=class'gbxEffects.MuzzleFlashM1_'

	FireSoundName="W_M1GARAND.FIRE"
	StereoFireSoundName="W_M1GARAND.FIRE_ST"
	//FireSound=Sound'WeaponSounds.AssaultRifle.AssaultRifleFire'
    FireForce="RifleFire"   // jdf

	PreFireTime=0.0
	FireRateSP=0.25
	FireRateMP=0.6
	AIFireRateSP=0.5
	AIFireRateMP=0.65
	AIFireRateVarianceSP=0.25		// Up to a 1/4 second difference in either direction.
	AIFireRateVarianceMP=0.1
	AIOpBurstMultiplierSP=0.4
	AIOpBurstMultiplierMP=0.6
//    FireRate=0.5
    //FireRate = 0.25
    bModeExclusive=true

    BotRefireRate=0.5
    //AimErrorAI_SP=(Min=300,Max=300)	// Singleplayer: US weapons do not change with difficulty settings.
	//AimErrorAI_MP=(Min=300,Max=300)
    //AimErrorHuman_SP=300
	//AimErrorHuman_MP=300

    ShakeOffsetMag=(X=0.0,Y=0.0,Z=0.0)
    ShakeOffsetRate=(X=1000.0,Y=1000.0,Z=1000.0)
    ShakeOffsetTime=2
    ShakeRotMag=(X=10.0,Y=10.0,Z=10.0)
    ShakeRotRate=(X=10000.0,Y=10000.0,Z=10000.0)
    ShakeRotTime=2

    TweenTime = 0.0

	AimErrorMin_Human=20
	AimErrorMax_Human_Crouched=25
	AimErrorMax_Human_Standing=45
	AimErrorMax_Human_MovingSlow=120
	AimErrorMax_Human_MovingFast=170
	//AimErrorMin_Human_Zoomed=3
	AimErrorMin_Human_Zoomed=10
	AimErrorMax_Human_Zoomed=20

	AimErrorMin_AI_MP=300
	AimErrorMax_AI_MP_Crouched=900
	AimErrorMax_AI_MP_Standing=900
	AimErrorMax_AI_MP_Moving=2200
	AimMultiplier_AI_MP_Sighted=1.0

	AimErrorMin_AI_SP=200
	AimErrorMax_AI_SP_Crouched=250
	AimErrorMax_AI_SP_Standing=450
	AimErrorMax_AI_SP_Moving=1500
	AimMultiplier_AI_SP_Sighted=0.3

	bWaitForRelease=true

	// Suppression Multiplier
	SuppressionMultiplierMP=1.2

	// Burst count levels.
	Burst_High_SP=(Min=1,Max=3)
	Burst_High_MP=(Min=2,Max=5)
	Burst_Low_SP=(Min=3,Max=5)
	Burst_Low_MP=(Min=2,Max=5)
	Burst_Op_SP=(Min=8,Max=8)
	Burst_Op_MP=(Min=4,Max=8)

	// This really sucks, but constants are supported here, so I'm just setting this to the value of the constant.
	FireType=1

	ShotCountMod=2

	ReloadAnimList[0]=reload
	ReloadAnimList[1]=reload_full
}
