class FireUSSpringfield extends SingleBulletReloadFire;

var float LastFireTime;
var float ClickTime;
var transient gbxWeaponShells EjectedShell;

event ModeDoFire()
{
	LastFireTime = Level.TimeSeconds;
	Super.ModeDoFire();
}

event ModeHoldFire()
{
}

defaultproperties
{
    AmmoClass=class'AmmoUSSpringfield'
    AmmoPerFire=1
    DamageType=class'DamageUSSpringfield'
    //DamageMin=50
    //DamageMax=60
	Damage_Human_SP=(min=100,max=100)
	Damage_Human_MP=(min=100,max=100)
	Damage_AI_SP=(min=40,max=45)
	Damage_AI_MP=(min=100,max=100)
    bPawnRapidFireAnim=true
	Load=1

    FireAnim=fire
    FireEndAnim=None
    FireLoopAnim=None
    FireAnimRate=1.0
	ReloadAnim=reload
	ReloadAnimRate=1.0

    FlashEmitterClass=class'gbxEffects.MuzzleFlashM1_'

	FireSoundName="W_SPRINGFIELD.FIRE"
	StereoFireSoundName="W_SPRINGFIELD.FIRE_ST"
    //FireSound=Sound'WeaponSounds.AssaultRifle.AssaultRifleFire'
    FireForce="AssaultRifleFire"   // jdf

	PreFireTime=0.0
	FireRateSP=1.3125
	FireRateMP=1.3125
    AIFireRateSP=1.0
	AIFireRateMP=1.0
	
    bModeExclusive=true

	SuppressionMultiplierSP=1.25
	SuppressionMultiplierMP=10

    AimErrorMin_Human=20
	AimErrorMax_Human_Crouched=25
	AimErrorMax_Human_Standing=45
	AimErrorMax_Human_MovingSlow=110
	AimErrorMax_Human_MovingFast=130
	AimErrorMin_Human_Zoomed=0
	AimErrorMax_Human_Zoomed=3

	AimErrorMin_AI_MP=200
	AimErrorMax_AI_MP_Crouched=250
	AimErrorMax_AI_MP_Standing=450
	AimErrorMax_AI_MP_Moving=1200
	AimMultiplier_AI_MP_Sighted=0.0

	AimErrorMin_AI_SP=200
	AimErrorMax_AI_SP_Crouched=250
	AimErrorMax_AI_SP_Standing=450
	AimErrorMax_AI_SP_Moving=1200
	AimMultiplier_AI_SP_Sighted=0.0

    ShakeOffsetMag=(X=0.0,Y=0.0,Z=0.0)
    ShakeOffsetRate=(X=1000.0,Y=1000.0,Z=1000.0)
    ShakeOffsetTime=2
    ShakeRotMag=(X=10.0,Y=10.0,Z=10.0)
    ShakeRotRate=(X=10000.0,Y=10000.0,Z=10000.0)
    ShakeRotTime=2

    TweenTime = 0.0

	bWaitForRelease=true

	// Burst count levels.
	Burst_High_SP=(Min=1,Max=3)
	Burst_High_MP=(Min=1,Max=3)
	Burst_Low_SP=(Min=4,Max=8)
	Burst_Low_MP=(Min=4,Max=8)

	// This really sucks, but constants are supported here, so I'm just setting this to the value of the constant.
	FireType=1

    TraceRange=30000
	ShotCountMod=0

	ReloadAnimList[0]=reload
	ReloadAnimList[1]=reload_01
	ReloadAnimList[2]=reload_02
	ReloadAnimList[3]=reload_03
	ReloadAnimList[4]=reload_04

	LastShotFireAnim=fire_last
	LastShotFireRate=0.3
}
