class M1919Factory extends MG42Factory;


//---------------------------------------------------------
//	SpawnGun
//---------------------------------------------------------
function SpawnGun()
{
	local vector X, Y, Z;

	GetAxes(Rotation,X,Y,Z);
	Gun = Spawn(class'WeapUSM1919_', Self,, Location, Rotation);
	PivotOrigin = Location + PivotOffset.X*X + PivotOffset.Y*Y + PivotOffset.Z*Z;
	Gun.SetLocation( PivotOrigin + GunOffset.X*X + GunOffset.Y*Y + GunOffset.Z*Z );
	WeapUSM1919_( Gun ).SetFactory( Self );
}

//---------------------------------------------------------
//	PostNetBeginPlay
//---------------------------------------------------------
function PostBeginPlay()
{
	Super.PostBeginPlay();
	TurretTrigger.m_eUseType=UseBrowning;
}

simulated function PostNetBeginPlay()
{
	Super.PostNetBeginPlay();
	
	Mesh = Mesh( DynamicLoadObject( "k_prop.us_30cal", class'Mesh' ) );
}

defaultproperties
{
	DrawType=DT_MESH
//	Mesh=k_prop.us_30cal
	EditorMeshName="k_prop.us_30cal"
	bHidden=false	

	CollisionHeight=240.000000

	PivotOffset=(X=83,Y=3,Z=70)
	GunOffset=(X=50,Y=0,Z=7)

	// Nine-point blending animations.
	ForwardDownAnim=forward_down
	ForwardLevelAnim=forward_level
	ForwardUpAnim=forward_up
	LeftDownAnim=left_down
	LeftLevelAnim=left_level
	LeftUpAnim=left_up
	RightDownAnim=right_down
	RightLevelAnim=right_level
	RightUpAnim=right_up

	DontRecruit=true	// M1919s don't need to recruit NPCs.

	bOpaqueForSituationalAwarenessView=true

	bAlphaFogable=True
    bAlphaFogBlend=true
}