class M1EjectedClip extends gbxWeaponShells;


simulated function PostNetBeginPlay()
{
	Super.PostNetBeginPlay();
	
	SetStaticMesh(StaticMesh(DynamicLoadObject("s_military_us.Weapon.m1_clip", class'StaticMesh')));
}

function Destroyed()
{

	if (Owner.IsA('gbxWeapon'))
		gbxWeapon(Owner).ClipDestroyed();
	else
	if (Owner.IsA('gbxWeaponAttachment'))
		gbxWeaponAttachment(Owner).ClipDestroyed();

	Super.Destroyed();
}

defaultproperties
{
    Begin Object Class=MeshEmitter Name=M1EjectedClip_ME10
		SecondsBeforeInactive=0
        StaticMesh=StaticMesh's_military_us.Weapon.m1_clip'
        Acceleration=(Z=-900.000000)
        UseCollision=True
		DampingFactorRange=(X=(Min=0.200000,Max=0.200000),Y=(Min=0.200000,Max=0.200000),Z=(Min=0.200000,Max=0.200000))
        MaxParticles=40
        UseRotationFrom=PTRS_Offset
		SpinParticles=True
        SpinsPerSecondRange=(X=(Min=-1.000000,Max=4.000000),Y=(Min=-2.000000,Max=2.000000),Z=(Min=-1.000000,Max=2.000000))
        DampRotation=True
        RotationDampingFactorRange=(X=(Min=0.700000,Max=0.700000),Y=(Min=0.700000,Max=0.700000),Z=(Min=0.700000,Max=0.700000))
		StartSizeRange=(X=(Min=0.12000,Max=0.12000),Y=(Min=0.12000,Max=0.12000),Z=(Min=0.12000,Max=0.12000))
		AutomaticInitialSpawning=False
        ParticlesPerSecond=0.000000
        InitialParticlesPerSecond=0.000000
        LifetimeRange=(Min=2.000000,Max=2.000000)
		RespawnDeadParticles=False
        StartVelocityRange=(X=(Min=75.000000,Max=100.000000),Y=(Min=75.000000,Max=125.000000),Z=(Min=150.000000,Max=175.000000))
    End Object

    Emitters(0)=MeshEmitter'M1EjectedClip_ME10'
}
