class PickupUsableTrophy extends gbxWeaponPickup
	placeable;


var travel bool	m_fCollected;
var() localized string	m_szTrophyName;
var() localized string	m_szTrophyDesc;
var() Material m_aTrophyIcon;

function PickupItem( Pawn aPawn )
{
	local Inventory Copy;

	if (bDisabled)
		return;

	Copy = SpawnCopy(aPawn);
	Copy.ItemName = m_szTrophyName;
	Copy.ItemDesc = m_szTrophyDesc;
	Copy.Icon = m_aTrophyIcon;
	AnnouncePickup(aPawn);
    SetRespawn();
	Copy.PickupFunction(aPawn);
	gbxPawn(aPawn).m_fTrophySelect = false;
	TriggerEvent(Event, aPawn.Controller, aPawn);
}

defaultproperties
{
	// This icon no longer exists.
	//m_aTrophyIcon=material'WG_HUD.HUD.wpn_bandage'

	InventoryType=class'UsableTrophies'
	PickupMessage="You picked up a Trophy."
//	PickupSound=Sound'WeaponPickup'
//	StaticMesh=StaticMesh's_temp_us_weapons.Equipment.Firstaid'
//	Mesh=Mesh'GeistGL3'
	CollisionRadius=34.000000
	CollisionHeight=8.000000

//    RotationRate=(Yaw=0)
//    DesiredRotation=(Yaw=0)

	m_eWeaponType=WeaponTrophy
    bAcceptsProjectors=false
}
