//=============================================================================
// PickupWeapDEP38_
//=============================================================================
class PickupWeapDEP38_ extends gbxWeaponPickup
	placeable;


simulated function PostNetBeginPlay()
{
	Super.PostNetBeginPlay();
	
	SetStaticMesh(StaticMesh(DynamicLoadObject("s_npc_weapon_de.de_p38", class'StaticMesh')));
	SetDrawType( DT_StaticMesh );
}

defaultproperties
{
    InventoryType=class'WeapDEP38_'

	DrawType=DT_Sprite
	Texture=Texture'Engine.S_Weapon'
    MessageClass=class'PickupMessagePlus'
    PickupMessage="You got the German P38 Pistol."
//    PickupSound=Sound'PickupSounds.AssaultRiflePickup'
    PickupForce="PickupDEP38_"  // jdf
    PickupName="German P38 Pistol"

	MaxDesireability=+0.4

//    StaticMesh=StaticMesh's_npc_weapon_de.de_p38'
//    DrawType=DT_StaticMesh
    DrawScale=1.0
    bAcceptsProjectors=false

	DropCueName="GEAR.DROPPISTOL"

	AmmoAmount(0)=96
	ClipAmount(0)=8
}
