//=============================================================================
// Base class for all grenades
//=============================================================================
class ProjectileDEPak36_ extends ProjectileRocket;

var Weapon	LaunchingWeapon;

simulated function PostNetBeginPlay()
{
	Super.PostNetBeginPlay();
	
	SetStaticMesh(StaticMesh(DynamicLoadObject("s_military_de.Weapon.tank_round", class'StaticMesh')));
}

simulated function ProcessTouch( actor Other, vector HitLocation )
{
	if (!bActive)
		return;

	if ( Other!=instigator && Other != LaunchingWeapon )
	{
		Explosion(HitLocation);
		bActive = false;
	}
}

defaultproperties
{
	ExplosionDecal=class'BlastMark'
	ExplosionDecalVehicle=class'BlastMarkSmallVehicle'
	MyDamageType=class'DamageUSBazooka'
    DamageRadius=375.000000
//	StaticMesh=StaticMesh's_military_de.Weapon.tank_round'
	DrawScale=2.00000
	DrawType=DT_STATICMESH
	bUseTrail=false

	speed=20000.0
}
