//=============================================================================
// Base class for all grenades
//=============================================================================
class ProjectileDEPanzerfaust extends ProjectileRocket;

simulated function PostNetBeginPlay()
{
	Super.PostNetBeginPlay();
	
	SetStaticMesh(StaticMesh(DynamicLoadObject("s_npc_weapon_de.de_panzerfaust_projectile", class'StaticMesh')));
}

defaultproperties
{
	ExplosionDecal=class'BlastMark'
	ExplosionDecalVehicle=class'BlastMarkSmallVehicle'
	MyDamageType=class'DamageUSBazooka'    
	DamageRadius=375.000000
//	StaticMesh=StaticMesh's_npc_weapon_de.de_panzerfaust_projectile'
	DrawType=DT_STATICMESH
	bUseTrail=false

	RocketDrag = 750.0
	speed = 4500.0

	WeaponCategory=WC_Bazooka

	bCollideWorld=false
	bCollideActors=false
}
