//=============================================================================
// Base class for all grenades
//=============================================================================
class ProjectileUSBazooka extends ProjectileRocket;

simulated function PostNetBeginPlay()
{
	Super.PostNetBeginPlay();
	
	SetStaticMesh(StaticMesh(DynamicLoadObject("s_npc_weapon_us.us_rocket_projectile", class'StaticMesh')));
}

defaultproperties
{
	ExplosionDecal=class'BlastMark'
	ExplosionDecalVehicle=class'BlastMarkSmallVehicle'
	MyDamageType=class'DamageUSBazooka'
    DrawType=DT_STATICMESH
//	StaticMesh=StaticMesh's_npc_weapon_us.us_rocket_projectile'
	DamageRadius=375.000000
	bUseTrail=false

	RocketDrag=1500.0

	speed=8000.0

	DrawScale=2.0

	WeaponCategory=WC_Bazooka

	bCollideWorld=false
	bCollideActors=false
}

