class RemoveableInventory extends KActor;



var name AttachBoneName;

event AttachRemoveable( Actor A )
{
	SetOwner( A );
	Owner.AttachToBone( Self, AttachBoneName );
	SetPhysics( PHYS_None );
	SetCollision( False );
	bCollideWorld=False;
	bBlockNonZeroExtentTraces=False;
	bBlockZeroExtentTraces=False;
	KSetBlockKarma( False );
}

event bool DetachRemoveable( Vector momentum )
{
	if( KarmaParams( KParams ) != None )
	{
		Owner.DetachFromBone( Self );
		Velocity = momentum;
		SetOwner( None );
		SetCollision( Default.bCollideActors );
		bCollideWorld=Default.bCollideWorld;
		bBlockNonZeroExtentTraces=Default.bBlockNonZeroExtentTraces;
		bBlockZeroExtentTraces=Default.bBlockZeroExtentTraces;
		KSetBlockKarma( Default.bBlockKarma );
		SetPhysics( PHYS_Karma );
		KWake();
		return true;
	}
	return false;
}

defaultproperties
{
	bStatic=false
	bNoDelete=false
	Physics=PHYS_None
	DrawType=DT_StaticMesh
	bBlockActors=False
	bBlockPlayers=False
	KParams=None
}
