//=============================================================================
// WeapDESTG44_
//=============================================================================
class WeapDESTG44_ extends WargameWeapon
    config(user);

simulated function LoadWeaponMesh()
{
	Super.LoadWeaponMesh();
	Mesh = Mesh( DynamicLoadObject( "k_view_model_de.view_stg44", class'Mesh' ) );
	m_NormalViewMesh = Mesh( DynamicLoadObject( "k_view_model_de.view_stg44", class'Mesh' ) );
	m_ZoomViewMesh = Mesh( DynamicLoadObject( "k_view_model_de.view_stg44_crosshair", class'Mesh' ) );
	LinkMesh( Mesh );
}

function byte BestMode()
{
	return 0;
}

defaultproperties
{
    ItemName="German STG44 Machine Gun"

    FireModeClass(0)=FireDESTG44_
    FireModeClass(1)=FireSecondaryItem
    FireModeClass(2)=FireMelee
    InventoryGroup=2
//	Mesh=Mesh'K_view_model_de.view_stg44'
//	m_NormalViewMesh=Mesh'K_view_model_de.view_stg44'
//	m_ZoomViewMesh=Mesh'K_view_model_de.view_stg44_crosshair'
	m_nCharacterBodyIdx=5
    BobDamping=0.5
    PickupClass=class'PickupWeapDESTG44_'
    EffectOffset=(X=150.0,Y=10.0,Z=-10.0)
	DisplayFOV=+50.0
    AttachmentClass=class'AttachmentDESTG44_'

    DrawScale=1.0
	PlayerViewOffset=(X=20.000,Y=0.000000,Z=-0.50000)
    SelectSound=None

	AIRating=+0.4
    CurrentRating=0.4

	// This icon no longer exists.
	//Icon=material'WG_HUD.HUD.wpn_garand'

//	m_aClipIcon=material'WG_HUD.HUD.clip_garand'
//	m_flBulletHeight=18
//	m_flClipHeight=128
//	m_flClipWidth=128
//	m_fClipFront=true
//	m_aFrontBulletIcon=material't_interface_mb.HUD.ammo_30cal'
//	m_aBackBulletIcon=material'WG_HUD.HUD.ammo_bullet_bck'
	m_nBulletIconTextureX=232
	m_nBulletIconTextureY=229
	m_nClipIconTextureX=232
	m_nClipIconTextureY=203

	m_eWeaponType=WeaponPrimary
	MyMeleeDamageType=class'DamageUSGunButtMelee'

	DefaultAmmoCount(0)=210

	ZoomInAnim=aim_up
	ZoomOutAnim=aim_down
	SelectAnim=deploy
	PutDownAnim=holster
	IdleAnim(0)=idle_01
	IdleAnim(1)=idle_02
	IdleAnim(2)=idle_03

	WeaponBoneName=rifle_hold

	ZoomFovMod=17.0000

	AmmoClipSize=30

	m_flEncumberance=1.0
	m_fCanSprint=true
        m_bIsAutomatic=true

	Desirability=2.0

	BreatheProfileClass=class'gbxMediumBreatheProfile'

	DEPawnPackGoreClass(0)=class'gbxInventory.ConscriptMP40GoreSetup'
	DEPawnPackGoreClass(1)=class'gbxInventory.InfantryMP40GoreSetup'
	DEPawnPackGoreClass(2)=class'gbxInventory.PanzerSturmGoreSetup'
	DEPawnPackGoreClass(3)=class'gbxInventory.ParaSturmGoreSetup'

	nIconX=334
	nIconY=0
	nIconW=24
	nIconH=99

	WeaponName = WN_DESTG44
}
