//=============================================================================
// WeapUSColt1911_
//=============================================================================
class WeapUSColt1911_ extends WargameWeapon
    config(user);

simulated function LoadWeaponMesh()
{
	Super.LoadWeaponMesh();
	Mesh = Mesh( DynamicLoadObject( "k_view_model_us.view_colt1911", class'Mesh' ) );
	m_NormalViewMesh = Mesh( DynamicLoadObject( "k_view_model_us.view_colt1911", class'Mesh' ) );
	m_ZoomViewMesh = Mesh( DynamicLoadObject( "k_view_model_us.view_colt1911_crosshair", class'Mesh' ) );
	LinkMesh( Mesh );
}

function byte BestMode()
{
	return 0;
}

defaultproperties
{
    ItemName="US .45 Pistol"

    FireModeClass(0)=FireUSColt1911_
    FireModeClass(1)=FireSecondaryItem
    FireModeClass(2)=FireMelee
    InventoryGroup=2
//	Mesh=Mesh'K_view_model_us.view_colt1911'
//	m_NormalViewMesh=Mesh'K_view_model_us.view_colt1911'
//	m_ZoomViewMesh=Mesh'K_view_model_us.view_colt1911_crosshair'
	m_nCharacterBodyIdx=2
    BobDamping=0.5
    PickupClass=class'PickupWeapUSColt1911_'
    EffectOffset=(X=100.0,Y=25.0,Z=-10.0)
	DisplayFOV=+50.0
    AttachmentClass=class'AttachmentUSColt1911_'

    DrawScale=1.0
	PlayerViewOffset=(X=20.000,Y=0.000000,Z=-0.50000)
    SelectSound=None

	AIRating=+0.4
    CurrentRating=0.4

	// This icon no longer exists.
	//Icon=material'WG_HUD.HUD.wpn_garand'

//	m_aClipIcon=material'WG_HUD.HUD.clip_garand'
//	m_flBulletHeight=18
//	m_flClipHeight=128
//	m_flClipWidth=128
//	m_fClipFront=true
//	m_aFrontBulletIcon=material't_interface_mb.HUD.ammo_45cal'
//	m_aBackBulletIcon=material'WG_HUD.HUD.ammo_bullet_bck'
	m_nBulletIconTextureX=232
	m_nBulletIconTextureY=229
	m_nClipIconTextureX=232
	m_nClipIconTextureY=177

	m_eWeaponType=WeaponPrimary
	MyMeleeDamageType=class'DamageUSGunButtMelee'

	DefaultAmmoCount(0)=84

	ZoomInAnim=aim_up
	ZoomOutAnim=aim_down
	SelectAnim=deploy
	PutDownAnim=holster
	IdleAnim(0)=idle_01
	IdleAnim(1)=idle_02
	IdleAnim(2)=idle_03

	ZoomFovMod = 10.0000

	AmmoClipSize=7

	m_flEncumberance=1.0
	m_fCanSprint=true

	WeaponBoneName=pistol_hold

	BreatheProfileClass=class'gbxPistolBreatheProfile'
	
	nIconX=217
	nIconY=52
	nIconW=33
	nIconH=49
}
