//=============================================================================
// WeapUSM1Carbine
//=============================================================================
class WeapUSM1Carbine extends WargameWeapon
    config(user);

simulated function LoadWeaponMesh()
{
	Super.LoadWeaponMesh();
	Mesh = Mesh( DynamicLoadObject( "k_view_model_us.view_m1_carbine", class'Mesh' ) );
	m_NormalViewMesh = Mesh( DynamicLoadObject( "k_view_model_us.view_m1_carbine", class'Mesh' ) );
	m_ZoomViewMesh = Mesh( DynamicLoadObject( "k_view_model_us.view_m1_carbine_crosshair", class'Mesh' ) );
	LinkMesh( Mesh );
}

function byte BestMode()
{
	return 0;
}

defaultproperties
{
    ItemName="US M1 Carbine Rifle"

    FireModeClass(0)=FireUSM1Carbine
    FireModeClass(1)=FireSecondaryItem
    FireModeClass(2)=FireMelee
    InventoryGroup=2
//	Mesh=Mesh'K_view_model_us.view_m1_carbine'
//	m_NormalViewMesh=Mesh'K_view_model_us.view_m1_carbine'
//	m_ZoomViewMesh=Mesh'K_view_model_us.view_m1_carbine_crosshair'
	m_nCharacterBodyIdx=3
    BobDamping=0.5
    PickupClass=class'PickupWeapUSM1Carbine'
    EffectOffset=(X=130.0,Y=23.0,Z=-20.0)
	DisplayFOV=+50.0
    AttachmentClass=class'AttachmentUSM1Carbine'

    DrawScale=1.0
	PlayerViewOffset=(X=20.000,Y=0.000000,Z=-0.50000)
    SelectSound=None

	AIRating=+0.4
    CurrentRating=0.4

	// This icon no longer exists.
	//Icon=material'WG_HUD.HUD.wpn_garand'

//	m_aClipIcon=material'WG_HUD.HUD.clip_garand'
//	m_flBulletHeight=18
//	m_flClipHeight=128
//	m_flClipWidth=128
//	m_fClipFront=true
//	m_aFrontBulletIcon=material't_interface_mb.HUD.ammo_30cal'
//	m_aBackBulletIcon=material'WG_HUD.HUD.ammo_bullet_bck'
	m_nBulletIconTextureX=258
	m_nBulletIconTextureY=177
	m_nClipIconTextureX=486
	m_nClipIconTextureY=160

	m_eWeaponType=WeaponPrimary
	MyMeleeDamageType=class'DamageUSGunButtMelee'

	DefaultAmmoCount(0)=75

	ZoomInAnim=aim_up
	ZoomOutAnim=aim_down
	SelectAnim=deploy
	PutDownAnim=holster
	IdleAnim(0)=idle_01
	IdleAnim(1)=idle_02
	IdleAnim(2)=idle_03
	BreathingAnim=breathe

	AmmoClipSize=15

	m_flEncumberance=1.0
	m_fCanSprint=true

	BreatheProfileClass=class'gbxLightBreatheProfile'
	
	nIconX=312
	nIconY=0
	nIconW=22
	nIconH=99
	
	WeaponName = WN_USM1Carbine
}
